with Main_Window;
with Mcc.Gui.Widget.Label;
package body Actions is
   Counter : Integer := 0;
   -------------
   -- Push_Me --
   -------------

   procedure Push_Me (X : in out Mcc.Gui.Widget.Button.Button'Class) is
   begin
      if Counter mod 2 = 0 then
         Mcc.Gui.Widget.Label.Set_Text(
            Main_Window.My_Label, "pushed");
      else
         Mcc.Gui.Widget.Label.Set_Text(
            Main_Window.My_Label, "pushed again");
      end if;
      Counter := Counter + 1;
   end Push_Me;

end Actions;

